Subscription Contracts
Update line item quantities for a classic Build-a-Box subscription
PUT
/
subscriptions
/
cp
/
api
/
update-classic-bab-subscription
/
{contractId}
Update line item quantities for a classic Build-a-Box subscription
curl --request PUT \
--url https://www.myshop.com/apps/subscriptions/cp/api/update-classic-bab-subscription/{contractId} \
--header 'Content-Type: application/json' \
--data '
[
{
"quantity": 123,
"variantId": 123,
"productId": 123,
"lineId": "<string>"
}
]
'{
"get__typename": "<string>",
"id": "<string>",
"createdAt": {},
"updatedAt": {},
"nextBillingDate": {},
"deliveryPrice": {
"get__typename": "<string>",
"amount": {}
},
"billingPolicy": {
"get__typename": "<string>",
"intervalCount": 123,
"anchors": [
{
"get__typename": "<string>",
"cutoffDay": 123,
"day": 123,
"month": 123
}
],
"maxCycles": 123,
"minCycles": 123
},
"deliveryPolicy": {
"get__typename": "<string>",
"intervalCount": 123,
"anchors": [
{
"get__typename": "<string>",
"cutoffDay": 123,
"day": 123,
"month": 123
}
]
},
"lines": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"id": "<string>",
"sellingPlanId": "<string>",
"sellingPlanName": "<string>",
"productId": "<string>",
"sku": "<string>",
"title": "<string>",
"variantId": "<string>",
"quantity": 123,
"customAttributes": [
{
"get__typename": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"lineDiscountedPrice": {
"get__typename": "<string>",
"amount": {}
},
"variantImage": {
"get__typename": "<string>",
"transformedSrc": {}
},
"variantTitle": "<string>",
"currentPrice": {
"get__typename": "<string>",
"amount": {}
},
"discountAllocations": [
{
"get__typename": "<string>",
"amount": {
"get__typename": "<string>",
"amount": {}
},
"discount": {
"get__typename": "<string>"
}
}
],
"pricingPolicy": {
"get__typename": "<string>",
"basePrice": {
"get__typename": "<string>",
"amount": {}
},
"cycleDiscounts": [
{
"get__typename": "<string>",
"afterCycle": 123,
"computedPrice": {
"get__typename": "<string>",
"amount": {}
},
"adjustmentValue": {
"get__typename": "<string>"
}
}
]
},
"taxable": true
}
],
"pageInfo": {
"get__typename": "<string>",
"hasPreviousPage": true,
"hasNextPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
},
"customerPaymentMethod": {
"get__typename": "<string>",
"id": "<string>",
"instrument": {
"get__typename": "<string>"
},
"revokedAt": {}
},
"deliveryMethod": {
"get__typename": "<string>"
},
"originOrder": {
"get__typename": "<string>",
"id": "<string>",
"name": "<string>",
"fulfillmentOrders": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"fulfillAt": {},
"id": "<string>"
}
],
"pageInfo": {
"get__typename": "<string>",
"hasPreviousPage": true,
"hasNextPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}
},
"customer": {
"get__typename": "<string>",
"id": "<string>",
"email": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
},
"discounts": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"id": "<string>",
"title": "<string>",
"value": {
"get__typename": "<string>"
},
"recurringCycleLimit": 123,
"usageCount": 123
}
],
"pageInfo": {
"get__typename": "<string>",
"hasPreviousPage": true,
"hasNextPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
},
"note": "<string>",
"customAttributes": [
{
"get__typename": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"billingAttempts": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"completedAt": {},
"createdAt": {},
"id": "<string>",
"idempotencyKey": "<string>",
"ready": true
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://developers.appstle.com/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Body
application/json
Response
200 - */*
OK
Available options:
ACTIVE, PAUSED, CANCELLED, EXPIRED, FAILED, $UNKNOWN Show child attributes
Show child attributes
Available options:
SUCCEEDED, FAILED, $UNKNOWN Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Add a line item to a subscription contract
Previous
Sync shipping price on contract from delivery profile
Next
⌘I
Update line item quantities for a classic Build-a-Box subscription
curl --request PUT \
--url https://www.myshop.com/apps/subscriptions/cp/api/update-classic-bab-subscription/{contractId} \
--header 'Content-Type: application/json' \
--data '
[
{
"quantity": 123,
"variantId": 123,
"productId": 123,
"lineId": "<string>"
}
]
'{
"get__typename": "<string>",
"id": "<string>",
"createdAt": {},
"updatedAt": {},
"nextBillingDate": {},
"deliveryPrice": {
"get__typename": "<string>",
"amount": {}
},
"billingPolicy": {
"get__typename": "<string>",
"intervalCount": 123,
"anchors": [
{
"get__typename": "<string>",
"cutoffDay": 123,
"day": 123,
"month": 123
}
],
"maxCycles": 123,
"minCycles": 123
},
"deliveryPolicy": {
"get__typename": "<string>",
"intervalCount": 123,
"anchors": [
{
"get__typename": "<string>",
"cutoffDay": 123,
"day": 123,
"month": 123
}
]
},
"lines": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"id": "<string>",
"sellingPlanId": "<string>",
"sellingPlanName": "<string>",
"productId": "<string>",
"sku": "<string>",
"title": "<string>",
"variantId": "<string>",
"quantity": 123,
"customAttributes": [
{
"get__typename": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"lineDiscountedPrice": {
"get__typename": "<string>",
"amount": {}
},
"variantImage": {
"get__typename": "<string>",
"transformedSrc": {}
},
"variantTitle": "<string>",
"currentPrice": {
"get__typename": "<string>",
"amount": {}
},
"discountAllocations": [
{
"get__typename": "<string>",
"amount": {
"get__typename": "<string>",
"amount": {}
},
"discount": {
"get__typename": "<string>"
}
}
],
"pricingPolicy": {
"get__typename": "<string>",
"basePrice": {
"get__typename": "<string>",
"amount": {}
},
"cycleDiscounts": [
{
"get__typename": "<string>",
"afterCycle": 123,
"computedPrice": {
"get__typename": "<string>",
"amount": {}
},
"adjustmentValue": {
"get__typename": "<string>"
}
}
]
},
"taxable": true
}
],
"pageInfo": {
"get__typename": "<string>",
"hasPreviousPage": true,
"hasNextPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
},
"customerPaymentMethod": {
"get__typename": "<string>",
"id": "<string>",
"instrument": {
"get__typename": "<string>"
},
"revokedAt": {}
},
"deliveryMethod": {
"get__typename": "<string>"
},
"originOrder": {
"get__typename": "<string>",
"id": "<string>",
"name": "<string>",
"fulfillmentOrders": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"fulfillAt": {},
"id": "<string>"
}
],
"pageInfo": {
"get__typename": "<string>",
"hasPreviousPage": true,
"hasNextPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}
},
"customer": {
"get__typename": "<string>",
"id": "<string>",
"email": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
},
"discounts": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"id": "<string>",
"title": "<string>",
"value": {
"get__typename": "<string>"
},
"recurringCycleLimit": 123,
"usageCount": 123
}
],
"pageInfo": {
"get__typename": "<string>",
"hasPreviousPage": true,
"hasNextPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
},
"note": "<string>",
"customAttributes": [
{
"get__typename": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"billingAttempts": {
"get__typename": "<string>",
"nodes": [
{
"get__typename": "<string>",
"completedAt": {},
"createdAt": {},
"id": "<string>",
"idempotencyKey": "<string>",
"ready": true
}
]
}
}